using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VEPROMS
{
	public partial class dlgPickROFolder : Form
	{
		private string _ImportedROFolder;
		public string ImportedROFolder
		{
			get { return _ImportedROFolder; }
			set { _ImportedROFolder = value; }
		}
		private List<string> _LocalROFolders;
		public List<string> LocalROFolders
		{
			get { return _LocalROFolders; }
			set { _LocalROFolders = value; }
		}
		private string _SelectedROFolder;
		public string SelectedROFolder
		{
			get { return _SelectedROFolder; }
			set { _SelectedROFolder = value; }
		}
		public dlgPickROFolder()
		{
			InitializeComponent();
		}

		private void dlgPickROFolder_Load(object sender, EventArgs e)
		{
			lblImportRO.Text = string.Format("The procedure you are trying to import was exported from a database that had the following RO folder path:\r\n\r\n{0}\r\n\r\nSelect from the following RO Folders that exist in the database you are trying to import this procedure into so that the import process can continue", _ImportedROFolder);
			clbLocalROFolders.DataSource = LocalROFolders;
		}

		private void clbLocalROFolders_SelectedIndexChanged(object sender, EventArgs e)
		{
			if (clbLocalROFolders.CheckedItems.Count > 0)
			{
				btnOkay.Enabled = true;
			}
			else
				btnOkay.Enabled = false;
		}

		private void btnOkay_Click(object sender, EventArgs e)
		{
			SelectedROFolder = clbLocalROFolders.CheckedItems[0].ToString();
		}
	}
}